import * as React from 'react';
import { TooltipPlacement } from './common-types';
interface TooltipShowOptions {
    placement?: TooltipPlacement;
    containerStyle?: React.CSSProperties;
    innerStyle?: React.CSSProperties;
    arrowStyle?: React.CSSProperties;
}
export declare class Tooltips {
    private hideTimeout;
    private initialised;
    private component;
    private hideOnMouseOut;
    initialiseElements(): void;
    bindProps(props: any): any;
    show(e: Event, tooltipText: string, options?: TooltipShowOptions): void;
    hide(): void;
}
export {};
